#
# spec file for package perl-Data-ObjectDriver
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Data-ObjectDriver
Version:        0.21
Release:        bp155.2.9
%define cpan_name Data-ObjectDriver
Summary:        Simple, transparent data interface, with caching
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/S/SI/SIXAPART/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Class::Accessor::Fast)
BuildRequires:  perl(Class::Data::Inheritable)
BuildRequires:  perl(Class::Trigger)
BuildRequires:  perl(DBI)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.59
BuildRequires:  perl(Module::Build::Tiny) >= 0.035
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(version)
Requires:       perl(Class::Accessor::Fast)
Requires:       perl(Class::Data::Inheritable)
Requires:       perl(Class::Trigger)
Requires:       perl(DBI)
Recommends:     perl(Text::SimpleTable)
%{perl_requires}

%description
_Data::ObjectDriver_ is an object relational mapper, meaning that it maps
object-oriented design concepts onto a relational database.

It's inspired by, and descended from, the _MT::ObjectDriver_ classes in Six
Apart's Movable Type and TypePad weblogging products. But it adds in
caching and partitioning layers, allowing you to spread data across
multiple physical databases, without your application code needing to know
where the data is stored.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -path "*/t/*" ! -name "*.pl" ! -path "*/bin/*" ! -path "*/script/*" ! -name "configure" -print0 | xargs -0 chmod 644

%build
perl Build.PL --installdirs=vendor
./Build build --flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes minil.toml README.md ToDo
%license LICENSE

%changelog
* Fri Oct 30 2020 Tina Müller <timueller+perl@suse.de>
- updated to 0.21
  see /usr/share/doc/packages/perl-Data-ObjectDriver/Changes
* Tue Sep 15 2020 Tina Müller <timueller+perl@suse.de>
- updated to 0.20
  see /usr/share/doc/packages/perl-Data-ObjectDriver/Changes
* Wed Mar  4 2020 <timueller+perl@suse.de>
- updated to 0.19
  see /usr/share/doc/packages/perl-Data-ObjectDriver/Changes
* Tue Jul 16 2019 Stephan Kulow <coolo@suse.com>
- updated to 0.18
  see /usr/share/doc/packages/perl-Data-ObjectDriver/Changes
* Wed Mar 13 2019 Stephan Kulow <coolo@suse.com>
- updated to 0.17
  see /usr/share/doc/packages/perl-Data-ObjectDriver/Changes
* Thu Apr 20 2017 coolo@suse.com
- updated to 0.15
  see /usr/share/doc/packages/perl-Data-ObjectDriver/Changes
  0.15 2017-04-19T01:21:41Z
  - Fix failed tests with Perl 5.25.11 (miniuchi) #24
* Wed Jan 20 2016 coolo@suse.com
- updated to 0.14
  see /usr/share/doc/packages/perl-Data-ObjectDriver/Changes
  0.14 2016-01-14T03:03:02Z
  - Fix test for SQLite 3.10 compatibility (ziguzagu) #21
* Wed May 20 2015 coolo@suse.com
- updated to 0.13
  see /usr/share/doc/packages/perl-Data-ObjectDriver/Changes
  0.13 2015-05-20T02:26:46Z
  - Fix 0.12 changes with braking inserting new records (masiuchi) #20
* Mon May 18 2015 coolo@suse.com
- updated to 0.12
  see /usr/share/doc/packages/perl-Data-ObjectDriver/Changes
* Mon Apr 13 2015 coolo@suse.com
- updated to 0.11
  see /usr/share/doc/packages/perl-Data-ObjectDriver/Changes
* Mon Apr 13 2015 coolo@suse.com
- updated to 0.09
  see /usr/share/doc/packages/perl-Data-ObjectDriver/Changes
  0.09 2011.03.17
  - Fix reuse_dbh behaviour when ping fails on driver->dbh (RT 65448)
  0.08 2010.12.06
  - Fixed issue where a profiler cannot be returned if $@ is set
    https://github.com/sixapart/data-objectdriver/pull/1 (Akira Sawada)
  - Adds a new restricted IO operation mode controlled by the
    $Data::ObjectDriver::RESTRICT_IO flag (Brad Whitaker)
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Fri Nov  6 2009 dmueller@suse.de
- Initial package (0.06)
